Subject: Re: bug#49424: 27.2; Misdocumented default initialisation file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Jul 2021 12:21:03 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Phil Sainty <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 08 Jul 2021 10:30:48 +0200
> 
>     >> The current XDG_CONFIG_HOME behaviour is opt-in, and I think it should
>     >> stay that way, partly so that the default behaviour is consistent across
>     >> systems, but also because I think the suggested behaviour would cause
>     >> widespread confusion from users who run Emacs before creating their
>     >> ~/.emacs.d directory, and then can't figure out why their new config
>     >> isn't working.  (IIRC that is exactly what happened with the original
>     >> XDG_CONFIG_HOME support code before it was adjusted to ensure that it
>     >> was opt-in behaviour, despite the fact that you needed to be running
>     >> a pre-release build of Emacs to be affected and therefore likely to
>     >> have a better understanding of things than the average newcomer.)
> 
>     Eli> I tend to agree with Phil here.  Let's leave this part of Emacs alone
>     Eli> for a release or two, and see how the user community reacts to the
>     Eli> changes we did just recently.  Making changes right now in this
>     Eli> sensitive area could bring more trouble, and what practical problems
>     Eli> are we going to solve?
> 
> By 'this part' do you mean the XDG_CONFIG_HOME related changes, or
> also the suggested change to prefer ~/.emacs.d/init.el when no config
> files exist?

I meant both.  I think we should leave this area alone for a while and
let the dust settle on the recent changes.